Bug 445409 - gvfsd-trash triggers autofs automounts whenever a directory is unmounted
gvfsd-trash triggers autofs automounts whenever a directory is unmounted
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-06 15:00 EDT by Jeffrey Moyer
Modified: 2015-03-03 17:32 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:26:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 525779 None None None Never

  None (edit)
Description Jeffrey Moyer 2008-05-06 15:00:18 EDT
Description of problem:
Please see bug 445060 for a description of the problem.  Essentially, the
gvfsd-trash application performs a lookup of /autofs/managed/mountpoint/.Trash
whenever a directory is expired, triggerring a new mount.

Version-Release number of selected component (if applicable):
I'm not sure, reporter is using rawhide.

How reproducible:
100%

Steps to Reproduce:
Please see the aforementioned bug.
Comment 1 Michal Jaegermann 2008-05-06 15:17:29 EDT
> Version-Release number of selected component (if applicable):
gvfs-0.2.3-11.fc9
Comment 2 Bug Zapper 2008-05-14 06:44:10 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Juan Oropeza 2008-06-23 14:44:46 EDT
any updates on this? Is there a workaround?
Comment 4 Michal Jaegermann 2008-06-23 15:07:43 EDT
> Is there a workaround?

One possible workaround is to change in /usr/share/gvfs/mounts/trash.mount
'AutoMount=true' line to 'AutoMount=false' (before starting gvfsd).
The problem is that files in /usr/share/gvfs/mounts/ are NOT marked
%config, which looks to me like another bug on its own, so it appears
that such change will be clobbered by updates.

What other side-effects such workaround may have I am really not sure
but without it auto-mounted NFS volumes are unusable (no clean unmount
at all).
Comment 5 Tomáš Bžatek 2008-06-24 08:15:17 EDT
Changing AutoMount property is not recommended, certain applications using GIO
may rely on availability of basic mounts. Also, .mount files are not config
files, should not be modified in any way and are designed to be replaced on
package update.

Please try the following update, containing proposed patch from upstream.
Comment 6 Fedora Update System 2008-06-24 08:16:03 EDT
gvfs-0.2.4-5.fc9 has been submitted as an update for Fedora 9
Comment 7 Michal Jaegermann 2008-06-24 10:48:29 EDT
gvfs-0.2.4-5.fc9 (binaries from koji) does not seem to create troubles
for autofs - at least for NFS mounts on one system I looked at.

If .mount files are not configuration then what is the point of their
existence in the first place?
Comment 8 Tomáš Bžatek 2008-06-24 11:32:56 EDT
The .mount files are control files for gvfsd daemon to know what backends are
available and how to spawn them. Parameters and syntax might change during
development. As long as the files are outside /etc, you shoudln't touch them.
Comment 9 Fedora Update System 2008-06-24 22:54:35 EDT
gvfs-0.2.4-5.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gvfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5693
Comment 10 Juan Oropeza 2008-06-25 00:07:32 EDT
This fix worked for me, Thanks!
Comment 11 Bug Zapper 2009-06-09 20:39:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-07-15 04:26:34 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.